package cz.moneta.test.dsl.ib.mortgages;

import cz.moneta.test.harness.support.web.Builder;
import cz.moneta.test.harness.support.web.Click;
import cz.moneta.test.harness.support.web.Wait;

import static cz.moneta.test.dsl.ib.mortgages.MortgageLeftMenu.*;

@Wait({OVERVIEW_OF_MORTGAGES_MENU_ITEM, OVERVIEW_OF_TRANSACTION_MENU_ITEM, MORTGAGE_CALCULATOR_MENU_ITEM})
public interface MortgageLeftMenu extends Builder {
    String NAV_LIST_MENU = "//ul[@id='navList']";
    String OVERVIEW_OF_MORTGAGES_MENU_ITEM = NAV_LIST_MENU + "//a[contains(text(), 'Přehled hypoték')]";
    String OVERVIEW_OF_TRANSACTION_MENU_ITEM = NAV_LIST_MENU + "//a[contains(text(), 'Přehled transakcí')]";
    String MORTGAGE_CALCULATOR_MENU_ITEM = NAV_LIST_MENU + "//a[contains(text(), 'Hypoteční kalkulátor')]";
    String ONLINE_REQUIREMENT_MENU_ITEM = NAV_LIST_MENU + "//a[contains(text(), 'Online žádost')]";
    String DEFFERED_PAYMENTS_MENU_ITEM = NAV_LIST_MENU + "//a[contains(text(), 'Odklad splátek')]";
    String MY_DOCUMENTS_MENU_ITEM = NAV_LIST_MENU + "//a[contains(text(), 'Moje dokumenty')]";

    @Click(MORTGAGE_CALCULATOR_MENU_ITEM)
    MortgageCalculatorPage clickToMortgageCalculatorInMenu();
}
